dh-cargo (33ubuntu3) resolute; urgency=medium

  * Add missing dh-cargo-vendor-test tarballs (LP #2144608)

 -- Richard Scott McNew <scott.mcnew@canonical.com>  Mon, 16 Mar 2026 16:14:00 -0600

dh-cargo (33ubuntu2) resolute; urgency=medium

  * Set execute permissions on dh-cargo-vendored-sources script (LP #2143834)

 -- Richard Scott McNew <scott.mcnew@canonical.com>  Tue, 10 Mar 2026 07:37:59 -0600

dh-cargo (33ubuntu1) resolute; urgency=medium

  * Merge with Debian; remaining changes:
    - cargo.pm: set LTO flags according to the debhelper flags
    - Add support for using vendored sources, including checking the validity of
      XS-Vendored-Sources-Rust field via the new dh-cargo-vendored-sources
      script, and shipping the Cargo.lock file if available.
    - dh-cargo-vendored-sources: properly checks non-standard crate layouts.
      Now if the crate does not have a standard layout, `cargo` will be used
      to help determine where the source files should be. (LP #2112550).
    - Add option to output expected XS-Vendored-Sources-Rust (LP #2115573).
      - dh-cargo-vendored-sources: Add output-expected option
      - d/tests: Add autopkgtest for output-expected option

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Mar 2026 09:21:36 +0100

dh-cargo (33) unstable; urgency=medium

  [ наб ]
  * Remove spurious env

  [ Fabian Grünbichler ]
  * dh-cargo: honor -N to skip packages
  * dh-cargo: move `target/` ignoring to get_sources()
  * dh-cargo: honor -X when auto-installing librust-X-dev
  * dh-cargo: install: move copying of unmodified sources to build (Closes: #1121839)
  * dh-cargo: improve error messages
  * dh-cargo: use first non-lib :any package as bin package
  * dh-cargo:pick up version from d/control if set

  * dh-cargo-built-using: make target dir overridable
  * dh-cargo-built-using: handle absolute CARGO_REGISTRY
  * dh-cargo-buiit-using: allow specifying src directory
  * Closes: #1123013

  [ James McCoy ]
  * Change Maintainer address to alioth-lists.debian.net

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 10 Feb 2026 17:56:35 +0100

dh-cargo (32ubuntu3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:30:00 +0100

dh-cargo (32ubuntu2) questing; urgency=medium

  * Add option to output expected XS-Vendored-Sources-Rust (LP: #2115573).
    - dh-cargo-vendored-sources: Add output-expected option
    - d/tests: Add autopkgtest for output-expected option

 -- Max Gilmour <max.gilmour@canonical.com>  Wed, 02 Jul 2025 10:27:12 -0700

dh-cargo (32ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111991). Remaining changes:
    - cargo.pm: set LTO flags according to the debhelper flags
    - Add support for using vendored sources, including checking the validity of
      XS-Vendored-Sources-Rust field via the new dh-cargo-vendored-sources
      script, and shipping the Cargo.lock file if available.
    Squashed:
    * dh-cargo-vendored-sources:
      - Only list non-empty crates.
      - Accept top-level lib.rs (LP #2096268)
      - Improve opendir error messages to include directory name

  [ Zixing Liu ]
  * dh-cargo-vendored-sources: properly checks non-standard crate layouts.
    Now if the crate does not have a standard layout, `cargo` will be used
    to help determine where the source files should be. (LP: #2112550)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 05 Jun 2025 11:38:32 +0200

dh-cargo (32) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * dh-cargo-built-using: fix cross-builds
  * dh-cargo-built-using: mark X-Cargo-Built-Using as deprecated

  [ Guillem Jover ]
  * dh-cargo-built-using: Use ?= operator for obsolete substvars (Closes: #1096103)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 07 Mar 2025 10:26:02 +0100

dh-cargo (31ubuntu4) plucky; urgency=medium

  * dh-cargo-vendored-sources:
    - Accept top-level lib.rs (LP: #2096268)
    - Improve opendir error messages to include directory name

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 23 Jan 2025 19:41:15 +0100

dh-cargo (31ubuntu3) plucky; urgency=medium

  * dh-cargo-vendored-sources: Only list non-empty crates.
    This makes it compatible with the approach used by cargo-vendor-filterer,
    which instead of removing crates, simply removes all files and creates
    an empty src/lib.rs. This removes the need to patch other crates to
    remove their dependencies on filtered crates.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 15 Jan 2025 12:07:43 +0100

dh-cargo (31ubuntu2) oracular; urgency=medium

  * cargo.pm: set LTO flags according to the dpkg build options.

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 03 Jun 2024 13:43:57 -0600

dh-cargo (31ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add support for using vendored sources, including checking the validity of
      XS-Vendored-Sources-Rust field via the new dh-cargo-vendored-sources
      script, and shipping the Cargo.lock file if available.
  * Split out the dh-cargo-vendored-sources into its own package to be able
    to use it with non-default rustc (e.g. rustc-1.74)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 08 Feb 2024 16:27:41 +0100

dh-cargo (31) unstable; urgency=medium

  * Team upload.

  [ Alexander Kjäll ]
  * Generate Static-Built-Using substvar.  (Closes: #1053096)

 -- James McCoy <jamessan@debian.org>  Fri, 22 Dec 2023 21:09:29 -0500

dh-cargo (30ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2008689). Remaining changes:
    - Add support for using vendored sources, including checking the validity of
      XS-Vendored-Sources-Rust field via the new dh-cargo-vendored-sources
      script, and shipping the Cargo.lock file if available.

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 02 May 2023 09:47:04 +0200

dh-cargo (30) unstable; urgency=medium

  * wrap-and-sort -ast
  * Add Provides: dh-sequence-cargo
  * Avoid stripping Cargo.toml.orig (Closes: #1023413)
  * Declare Rules-Requires-Root: no
  * Clarify package description, clearing using-first-person-in-description
  * d/copyright: correct Source URL to point explicitly to salsa
  * d/copyright: update dates, include other contributors
  * Add myself to uploaders

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 26 Nov 2022 09:45:44 +0700

dh-cargo (29) unstable; urgency=medium

  [ Rob Shearman ]
  * dh-cargo-built-using: avoid varying package order if LC_ALL is set

  [ Sylvestre Ledru ]
  * Update standards version to 4.6.1, no changes needed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Nov 2022 14:12:27 +0100

dh-cargo (28ubuntu1) kinetic; urgency=medium

  * Add support for using vendored sources, including checking the validity of
    XS-Vendored-Sources-Rust field via the new dh-cargo-vendored-sources
    script, and shipping the Cargo.lock file if available. (LP: #1987515)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 25 Aug 2022 16:26:43 +0200

dh-cargo (28) unstable; urgency=medium

  * Support packages with ruzt-* prefix to help with debcargo testing.

 -- Ximin Luo <infinity0@debian.org>  Sun, 07 Nov 2021 12:59:57 +0000

dh-cargo (27) unstable; urgency=medium

  * Minor tweak to help with debcargo testing; no behavioural changes.

 -- Ximin Luo <infinity0@debian.org>  Fri, 05 Nov 2021 20:45:58 +0000

dh-cargo (26) unstable; urgency=medium

  * Move the touch step at the pre_building step to make sure it is also updating the changelog
    (Closes: #993216)

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Aug 2021 11:07:21 +0200

dh-cargo (25) unstable; urgency=medium

  * Team upload
  * Touch all the old files to address an auto reject from ftpmasters
  * Replace doit() by perl function usage (Thanks to Niels Thykier)
  * Use (correct) debhelper features for locating directories
    (Thanks to Niels Thykier)
  * Update of the Standards-Version to 4.5.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
    + dh-cargo: Drop versioned constraint on debhelper in Depends.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Aug 2021 21:46:33 +0200

dh-cargo (24) unstable; urgency=medium

  * Install pre-release versions in the right place so autopkgtest finds them.
  * Add some brief documentation for cargo.pm

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Apr 2020 21:30:03 +0100

dh-cargo (23) unstable; urgency=medium

  * cargo-auto-test: ignore some false positive test failures
  * Drop support for dh_auto_test --destdir, it doesn't meet our requirements.
    Instead, offer DESTDIR as an alternative.

 -- Ximin Luo <infinity0@debian.org>  Tue, 07 Jan 2020 21:33:41 +0000

dh-cargo (22) unstable; urgency=medium

  * Drop DEB_CARGO_PACKAGE in favour of DESTDIR. (Closes: #946616)

 -- Ximin Luo <infinity0@debian.org>  Mon, 06 Jan 2020 21:37:09 +0000

dh-cargo (21) unstable; urgency=medium

  * Use source versions (without rebuild +bX suffixes) in Built-Using.
    (Closes: #939016)

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Sep 2019 00:43:33 -0700

dh-cargo (20) unstable; urgency=medium

  * Remove Cargo.lock since this prevents us from upgrading stuff.
  * Add the version of rustc to *Built-Using d/control fields.

 -- Ximin Luo <infinity0@debian.org>  Thu, 15 Aug 2019 18:17:00 -0700

dh-cargo (19) unstable; urgency=medium

  * Team upload

  [ Gianfranco Costamagna ]
  * Apply fix from Ximin Luo to use SOURCE_DATE_EPOCH for the touch command, to
    avoid breaking reproducible builds

  [ Dimitri John Ledkov ]
  * Touch .cargo_vcs_info.json to update timestamp, as otherwise the file
    has unix creation time of 0 which is rejected by the archive in the
    .deb.s (Closes: #932172)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 16 Jul 2019 10:39:05 +0200

dh-cargo (18) unstable; urgency=medium

  * Add cargo-auto-test to prepare for running autopkgtests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 17 Mar 2019 21:09:30 -0700

dh-cargo (17) unstable; urgency=medium

  * Use --link-from-system from the newer debian-cargo-wrapper.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Jan 2019 01:28:43 -0800

dh-cargo (16) unstable; urgency=medium

  * Make detection of rust_libs in dh-cargo-built-using work again.

 -- Ximin Luo <infinity0@debian.org>  Mon, 21 Jan 2019 00:05:53 -0800

dh-cargo (15) unstable; urgency=medium

  * Use source package names in *Built-Using.

 -- Ximin Luo <infinity0@debian.org>  Sun, 20 Jan 2019 17:40:12 -0800

dh-cargo (14) unstable; urgency=medium

  * Use absolute path when dpkg-searching for libs.

 -- Ximin Luo <infinity0@debian.org>  Tue, 18 Dec 2018 17:57:24 -0800

dh-cargo (13) unstable; urgency=medium

  * Make debian/cargo_registry behaviour more robust.
  * Make dh-cargo-built-using behaviour more robust.

 -- Ximin Luo <infinity0@debian.org>  Sun, 02 Dec 2018 09:29:06 -0800

dh-cargo (12) unstable; urgency=medium

  * Fix typo that broke installation of binary crates.

 -- Ximin Luo <infinity0@debian.org>  Thu, 29 Nov 2018 21:58:26 -0800

dh-cargo (11) unstable; urgency=medium

  * Reimplement in terms of /usr/share/cargo/bin/cargo wrapper script.
  * dh-cargo-built-using: fix bug with crates that build >1 static lib.

 -- Ximin Luo <infinity0@debian.org>  Thu, 29 Nov 2018 19:04:39 -0800

dh-cargo (10) unstable; urgency=medium

  * Fix usage of "sub install", it takes an extra destdir param.

 -- Ximin Luo <infinity0@debian.org>  Wed, 12 Sep 2018 22:47:25 -0700

dh-cargo (9) unstable; urgency=medium

  * Set remap-path-prefix for reproducible builds.
  * Support adding extra flags to dh_auto_test / dh_auto_install.

 -- Ximin Luo <infinity0@debian.org>  Wed, 12 Sep 2018 22:37:52 -0700

dh-cargo (8) unstable; urgency=medium

  * Generate ${cargo:Built-Using} and ${cargo:X-Cargo-Built-Using} substvars.

 -- Ximin Luo <infinity0@debian.org>  Tue, 14 Aug 2018 02:17:08 -0700

dh-cargo (7) unstable; urgency=medium

  * Be more verbose, as recommended by Policy.
  * Update to latest Standards-Version.
  * Set CARGO_TARGET_DIR so build products are saved.
  * If there was a custom build output, symlink it to cargo_out_dir.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Aug 2018 12:59:35 -0700

dh-cargo (6) unstable; urgency=medium

  * Don't add .pc directories to binary package, but do add debian/patches.
    (Closes: #880689)

 -- Ximin Luo <infinity0@debian.org>  Sat, 30 Jun 2018 17:16:36 -0700

dh-cargo (5) unstable; urgency=medium

  * Pass `--cap-lints warn` in rustflags to avoid builds breaking when rustc
    adds new warnings.
  * Work around a stupid ftpmaster rule about files with old dates.

 -- Ximin Luo <infinity0@debian.org>  Mon, 18 Jun 2018 00:58:48 -0700

dh-cargo (4) unstable; urgency=medium

  * Pass cargo-version not Debian-version to `cargo install`.
  * Pass debuginfo=2 and LDFLAGS when building.
  * Add other flags to support cross-compiling.

 -- Ximin Luo <infinity0@debian.org>  Fri, 08 Jun 2018 00:18:42 -0700

dh-cargo (3) unstable; urgency=medium

  * Update to latest Standards-Version; no changes required.
  * Run `cargo build` during dh_auto_test to check that each library package
    actually builds, e.g. to ensure that any non-rust system dependencies were
    correctly expressed.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Mar 2018 23:20:40 +0200

dh-cargo (2) unstable; urgency=medium

  [ Josh Triplett ]
  * Update package description with additional documentation.

  [ Ximin Luo ]
  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Sat, 10 Jun 2017 22:33:08 +0200

dh-cargo (1) experimental; urgency=medium

  * Initial Release.

 -- Josh Triplett <josh@joshtriplett.org>  Mon, 21 Nov 2016 06:24:51 -0800
